Subject: Re: linux-next: build warning after merge of the sound-asoc-fixes tree

From: Stephen Rothwell <[email-masked]>
Date: Mon, 7 Nov 2022 14:52:38 +1100

Hi Chen,

On Mon, 7 Nov 2022 11:03:39 +0800 Chen Zhongjin <[email-masked]> wrote:
>
> On 2022/11/7 5:43, Stephen Rothwell wrote:
> >
> > On Mon, 31 Oct 2022 08:39:17 +1100 Stephen Rothwell <[email-masked]> wrote:  
> >>
> >> After merging the sound-asoc-fixes tree, today's linux-next build (arm
> >> multi_v7_defconfig) produced this warning:
> >>
> >> WARNING: modpost: sound/soc/snd-soc-core.o: section mismatch in reference: init_module (section: .init.text) -> snd_soc_util_exit (section: .exit.text)
> >>
> >> Introduced by commit
> >>
> >>    6ec27c53886c ("ASoC: core: Fix use-after-free in snd_soc_exit()")  
> > I am still getting this warning.  
> 
> I compiled linux-next/master and didn't find the warning.
> 
> Also I noticed that the fix patch 06ba770a799f ("ASoC: soc-utils: Remove __exit for snd_soc_util_exit()") is on the tree.
> 
> Have no idea what's going wrong. Could you please check whether this fixup takes effect?

That fix patch is in the sound-asoc tree (and makes the warning go
away), but the patch causing the warning is in the sound-asoc-fixes
tree ... so the latter patch needs to be moved into the
sound-asoc-fixes tree.

-- 
Cheers,
Stephen Rothwell